DeviceSessionOut
Response schema for a tracking session (active or completed).
idstring<uuid>required
started_atstring<date-time>required
ended_at object
anyOf
- string<date-time>
- null
string<date-time>
duration_seconds object
anyOf
- integer
- null
integer
location_countLocation Count (integer)required
distance_meters object
anyOf
- number
- null
number
has_track_geometryHas Track Geometry (boolean)
Default value:
falseauto_closed_at object
anyOf
- string<date-time>
- null
string<date-time>
close_reasonClose Reason (string)
Default value:
auto_closed_from_shift_status object
anyOf
- string
- null
string
photo_count objectrequired
Session photos; null for an API key without storage:read.
- integer
- null
integer
note_count objectrequired
Session notes; null for an API key without devices:read.
- integer
- null
integer
DeviceSessionOut
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"started_at": "2024-07-29T15:51:28.071Z",
"ended_at": "2024-07-29T15:51:28.071Z",
"duration_seconds": 0,
"location_count": 0,
"distance_meters": 0,
"has_track_geometry": false,
"auto_closed_at": "2024-07-29T15:51:28.071Z",
"close_reason": "",
"auto_closed_from_shift_status": "string",
"photo_count": 0,
"note_count": 0
}